com.google.web.bindery.requestfactory.gwt.client

## Interface HasRequestContext<T>

Type Parameters:
  `T` - the type of data being edited

All Superinterfaces:
  Editor<T>

    public interface HasRequestContext<T>
    extends Editor<T>

Editors used with `RequestFactoryEditorDriver` that implement this interface will be provided with the `RequestContext` associated with the current editing session.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.google.gwt.editor.client.Editor

`Editor.Ignore, Editor.Path`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `setRequestContext(RequestContext ctx)` Called by `RequestFactoryEditorDriver` with the `RequestContext` passed into `edit()` or `null` if `display()` is called.

### Method Detail

#### setRequestContext

    void setRequestContext(RequestContext ctx)

Called by `RequestFactoryEditorDriver` with the `RequestContext` passed into `edit()` or `null` if `display()` is called.

Parameters:
  `ctx` - the RequestContext associated with the current editing session which may be `null`